<?php
include $_SERVER["DOCUMENT_ROOT"] . "/php/pages.php";
?>
<!DOCTYPE html>
<html lang="pl-PL">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Menu - quiz.czem.eu</title>
    <link rel="stylesheet" href="/styles/main.css">
    <link rel="stylesheet" href="menu.css">
</head>

<body>
    <h1>Witaj<i><?php if (isset($_SESSION["username"])) echo " ".$_SESSION["username"];?> </i>na quiz.czem.eu</h1>
    <div class="wrap">
        <main>
            <h2>Wybierz typ quizu</h2>
            <article>
                <div onclick="window.location.href = '/single/'">
                    <h3>Jedno Pytanie</h3>
                    <p>Wyświetl jedno pytanie z bazy quizu oraz natychmiastowo dostań na nie odpowiedź</p>
                </div>
                <div onclick="window.location.href = '/test/'">
                    <h3>Test 20 pytań</h3>
                    <p>Wykonaj test 20 pytań, wynik oraz prawidłowość odpowiedzi pojawi się dopiero po oddaniu, w
                        trakcie możesz zmieniać odpowiedzi na już rozwiązane pytania</p>
                </div>
                <div onclick="window.location.href = '/test/?own'">
                    <h3>Własna długość testu</h3>
                    <p>Kiedy 20 pytań to za dużo bądź za mało, zmień długość testu zależnie od swoich potrzeb</p>
                </div>
            </article>
        </main>
    </div>
    <div class="wrap">
        <main>
            <h2>Inne</h2>
            <article>
                <div onclick="window.location.href = '/'">
                    <h3>Twoje wyniki</h3>
                </div>
                <div onclick="window.location.href = '/'">
                    <h3>Rankingi</h3>
                </div>
                <div onclick="window.location.href = '/login/'">
                    <h3>Wyloguj się</h3>
                </div>
                <div onclick="window.open('https://czem.eu/', '_blank').focus()">
                    <h3>Przejdź do czem.eu</h3>
                </div>
                <div onclick="window.open('https://drive.czem.eu/index.php/s/fraNKJTyi4wN7Nw', '_blank').focus()">
                    <h3>Kod źródłowy</h3>
                </div>
            </article>
        </main>
    </div>
</body>

</html>