document.addEventListener('DOMContentLoaded', function () {
    const output = document.getElementById("info");
    document.getElementById("loginForm").addEventListener('submit', async function (formE) {
        formE.preventDefault();
        const formData = new FormData(formE.target);
        const response = await fetch("login.php", {
            method: "POST",
            body: formData,
            credentials: "include",
            headers: {
                'X-Requested-With': 'XMLHttpRequest'
            }

        });
        const result = await response.json();
        output.innerHTML = result.msg;
        output.style.display = "block";
        if (result.redirect) setTimeout(function () { window.location.replace(result.redirect); }, 300);
    });
    document.getElementById("guest").addEventListener("click", async function () {
        const formData = new FormData();
        formData.append("guest", "true");
        const response = await fetch("login.php", {
            method: "POST",
            body: formData,
            credentials: "include",
            headers: {
                'X-Requested-With': 'XMLHttpRequest'
            }
        });
        const result = await response.json();
        output.innerHTML = result.msg;
        output.style.display = "block";
        if (result.redirect) setTimeout(function () { window.location.replace(result.redirect); }, 300);
    });
    passwordI = document.getElementById("password");
    document.getElementById("showPassword").addEventListener("mousedown", function () { passwordI.type = "text"; });
    document.getElementById("showPassword").addEventListener("mouseup", function () { passwordI.type = "password"; });
    document.getElementById("showPassword").addEventListener("mouseleave", function () { passwordI.type = "password"; });
});
